package com.tzld.crawler.etl.common.base;

/**
 * 缓存
 *
 * @author supeng
 */
public class CacheConstant {
    /**
     * 1分钟 毫秒
     */
    public static final long ONE_MINUTE_MILLS = 60 * 1000;
    /**
     * 1分钟 秒
     */
    public static final long ONE_MINUTE_SECOND = 60;
    /**
     * 5分钟 毫秒
     */
    public static final long FIVE_MINUTE_MILLS = 5 * ONE_MINUTE_MILLS;
    /**
     * 5分钟 秒
     */
    public static final long FIVE_MINUTE = 5 * 60;
    /**
     * 30分钟 毫秒
     */
    public static final long HALF_HOUR_MILLS = 30 * ONE_MINUTE_MILLS;
    /**
     * 1小时 毫秒
     */
    public static final long ONE_HOUR_MILLS = 60 * ONE_MINUTE_MILLS;
    /**
     * 1小时 秒
     */
    public static final long ONE_HOUR_SECOND = 60 * ONE_MINUTE_SECOND;
    /**
     * 20小时 秒
     */
    public static final long TWENTY_HOUR_SECOND = 20 * 60 * 60;
    /**
     * 1天 秒
     */
    public static final long ONE_DAY = 24 * 60 * 60;
    /**
     * 1天 毫秒
     */
    public static final long ONE_DAY_MILLS = 24 * ONE_HOUR_MILLS;
    /**
     * 7 天 秒
     */
    public static final long SEVEN_DAY = 7 * ONE_DAY;
    /**
     * 7天 毫秒
     */
    public static final long SEVEN_DAY_MILLS = 7 * ONE_DAY_MILLS;
    /**
     * 10天 毫秒
     */
    public static final long TEN_DAY_MILLS = 10 * ONE_DAY_MILLS;
    /**
     * 10 天 秒
     */
    public static final long TEN_DAY = 10 * ONE_DAY;
    /**
     * 1年 毫秒
     */
    public static final long ONE_YEAR_MILLS = 365 * ONE_DAY_MILLS;
    /**
     * 30天 秒
     */
    public static final long THIRTY_DAY = 30 * ONE_DAY;
    /**
     * 180天 秒
     */
    public static final long HALF_YEAR = 180 * ONE_DAY;
}
